/*!
 * @file cannon.h
 * a weapon that is fix on top of the player to fire heavy weaponary.
*/


#ifndef _CANNON_H
#define _CANNON_H

#include "weapon.h"

class Cannon : public Weapon
  {
  public:
    Cannon ();
    Cannon (const TiXmlElement* root);
    virtual ~Cannon ();

    void init();
    virtual void loadParams(const TiXmlElement* root);

    virtual void activate();
    virtual void deactivate();

    virtual void fire();

    virtual void draw() const;

  private:
//     PNode* objectComponent1;         //<! the gun is made of multiple parts, these PNodes represent their location and orientation
  };
#endif /* _CANNON_H */
